Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.cms.test
Class MiscDataStreamTest

    java.lang.Object
      TestCase
          org.bouncycastle.cms.test.MiscDataStreamTest

    public class MiscDataStreamTest

extends TestCase

Constructor Summary
`MiscDataStreamTest(java.lang.String name)`

Method Summary
`static Test` `suite()`
`void` `testSHA1WithRSA()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MiscDataStreamTest

    public MiscDataStreamTest(java.lang.String name)

Method Detail

### testSHA1WithRSA

    public void testSHA1WithRSA()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### suite

    public static Test suite()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45